'use client'

import { AuthGuard } from '@/components/auth-guard'
import { FulfillmentConsumablesOrdersTab } from '@/components/fulfillment-supplies/fulfillment-supplies/fulfillment-consumables-orders-tab'
import { useRoleGuard } from '@/hooks/useRoleGuard'

export default function SellerConsumablesPage() {
  useRoleGuard('FULFILLMENT')

  return (
    <AuthGuard>
      <div className="h-full overflow-hidden">
        <FulfillmentConsumablesOrdersTab />
      </div>
    </AuthGuard>
  )
}
